sixfireusb-fwcutter-debian/debian/patches/fwinst.patch

16 lines
571 B
Diff

Use install instead of mkdir (inspred by Castix' patch
for the AUR package) because it looks more sane
Index: sixfireusb-fwcutter/fwinst.sh
===================================================================
--- sixfireusb-fwcutter.orig/fwinst.sh
+++ sixfireusb-fwcutter/fwinst.sh
@@ -106,7 +106,7 @@ if ! copy_bymd5 a65eecc11adc87af7307f526
fi
step_begin "Installing firmware files"
-if ! mkdir -p $FW_6FIRE_PATH >/dev/null 2>&1 ; then
+if ! install -dm755 $FW_6FIRE_PATH >/dev/null 2>&1 ; then
step_error "Creation of firmware path failed. Are you root?"
fi